Skip to main content
GET
/
v2
/
transactions
/
pay-ins
List Pay-ins
curl --request GET \
  --url https://sandbox.api.fin.com/v2/transactions/pay-ins \
  --header 'Authorization: Bearer <token>'
const url = 'https://sandbox.api.fin.com/v2/transactions/pay-ins';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));
HttpResponse<String> response = Unirest.get("https://sandbox.api.fin.com/v2/transactions/pay-ins")
.header("Authorization", "Bearer <token>")
.asString();
import requests

url = "https://sandbox.api.fin.com/v2/transactions/pay-ins"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://sandbox.api.fin.com/v2/transactions/pay-ins"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
{
  "data": {
    "pagination": {
      "current_page": 1,
      "per_page": 10,
      "total_page": 2,
      "total": 13
    },
    "pay_ins": [
      {
        "id": "728c95d3-8b1e-4497-b3da-f36bcc066d7d",
        "status": "PENDING",
        "source_amount": 100101,
        "source_amount_in_major": 1001.01,
        "currency": "MXN",
        "created_at": "2026-06-09T18:27:35.468309Z"
      },
      {
        "id": "395bc958-fa03-4538-b57e-45dcc8becb24",
        "status": "COMPLETED",
        "source_amount": 100101,
        "source_amount_in_major": 1001.01,
        "currency": "MXN",
        "created_at": "2026-06-06T10:34:16.519314Z"
      },
      {
        "id": "d2d568a3-fde9-4a46-aa37-7e9da6d2cf57",
        "status": "FAILED",
        "source_amount": 12000,
        "source_amount_in_major": 120,
        "currency": "MXN",
        "created_at": "2026-06-03T20:38:53.484808Z"
      }
    ]
  }
}
{
"message": "Authentication failed"
}
{
"message": "<string>",
"errors": [
{}
]
}

Authorizations

Authorization
string
header
required

Bearer token authentication. Obtain token from Issue a Token endpoint

Query Parameters

current_page
integer
default:1

The page number to retrieve

Required range: x >= 1
per_page
integer
default:10

Number of results per page. Must be between 1 and 100.

Required range: 1 <= x <= 100

Response

Pay-ins retrieved successfully

data
object